<?php
// validate.php


$datapath = "students.json"; 

// Debug: Log POST data
error_log(print_r($_POST, true));

// Only process POST requests
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Retrieve and trim form data
    $rollno = isset($_POST['rollno']) ? trim($_POST['rollno']) : '';
    $pass = isset($_POST['password']) ? trim($_POST['password']) : '';
    $semester = isset($_POST['semester']) ? trim($_POST['semester']) : '';

    // Define the full path to the JSON file
    $jsonPath = __DIR__ . $datapath;

    // Check if the JSON file exists
    if (!file_exists($jsonPath)) {
        die("Error: Data file not found.");
    }

    // Read and decode the JSON file
    $jsonData = file_get_contents($jsonPath);
    $students = json_decode($jsonData, true);

    if ($students === null) {
        die("Error: Unable to decode JSON data.");
    }

    // Check if the user exists in the JSON data
    $userFound = false;
    foreach ($students as $student) {
        if (
            $student['rollno'] === $rollno &&
            $student['pass'] === $pass &&
            $student['semester'] === $semester
        ) {
            $userFound = true;
            break;
        }
    }

    // Redirect or show error based on validation
    if ($userFound) {
        header("Location: start.html");
        exit();
    } else {
        echo "Error: Invalid credentials.";
    }
} else {
    echo "Invalid request method.";
}
?>
